package domain;

public class Account {

	private String username = "";
	private String password = "";
	private Owner owner;
	private Administrator admin;

	public Account(String usr, String pass, Administrator admin) {
		this.username = usr;
		this.password = pass;
		this.owner = null;
		this.admin = admin;

	}

	public Account(String usr, String pass, Owner ow) {
		this.username = usr;
		this.password = pass;
		this.owner = ow;
		this.admin = null;

	}

	public String getUsername() {
		return username;
	}

	public String getPassword() {
		return password;
	}

	public Owner getOwner() {
		return owner;
	}

	public Administrator getAdmin() {
		return admin;
	}

	public void setAdmin(Administrator admin) {
		this.admin = admin;
	}

}
